Bug 996606 - Upload is paused instead of raising an error when 'rpm repo uploads' is run with non-existing repo id
Upload is paused instead of raising an error when 'rpm repo uploads' is run w...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
medium Severity unspecified
: ---
: 2.4.0
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 10:17 EDT by Preethi Thomas
Modified: 2014-08-09 02:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:54:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-08-13 10:17:23 EDT
Description of problem:

If you use a wrong repository name in repo upload, the upload stays in paused state. But there is no option to use a different repo name with resume. So these uploads in the paused state stays there until you specifically cancel the upload


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
root@cloud-qe-9 ~]# pulp-admin rpm repo uploads resume
+----------------------------------------------------------------------+
                            Upload Requests
+----------------------------------------------------------------------+

Select one or more uploads to resume: 
  -  1 : pulp-dot-2.0-test-0.1.2-1.fc11.x86_64.rpm
  -  2 : pulp-test-package-0.2.1-1.fc11.x86_64.rpm
  -  3 : pulp-test-package-0.3.1-1.fc11.x86_64.rpm
Enter value (1-3) to toggle selection, 'c' to confirm selections, or '?' for
more commands: 1

Select one or more uploads to resume: 
  x  1 : pulp-dot-2.0-test-0.1.2-1.fc11.x86_64.rpm
  -  2 : pulp-test-package-0.2.1-1.fc11.x86_64.rpm
  -  3 : pulp-test-package-0.3.1-1.fc11.x86_64.rpm
Enter value (1-3) to toggle selection, 'c' to confirm selections, or '?' for
more commands: c

Resuming upload for: pulp-dot-2.0-test-0.1.2-1.fc11.x86_64.rpm

Starting upload of selected units. If this process is stopped through ctrl+c,
the uploads will be paused and may be resumed later using the resume command or
cancelled entirely using the cancel command.

Uploading: pulp-dot-2.0-test-0.1.2-1.fc11.x86_64.rpm
... completed

Importing into the repository...
The following resource(s) could not be found:

  uploads (repository)



Actual results:


Expected results:


Additional info:
Comment 1 Jay Dobies 2013-10-28 11:28:03 EDT
https://github.com/pulp/pulp/pull/683
Comment 2 Jeff Ortel 2014-04-03 09:35:32 EDT
build: 2.4.0-0.7.beta
Comment 3 Preethi Thomas 2014-04-15 15:37:22 EDT
[root@pulp-24-server ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.9.beta.el6.noarch
[root@pulp-24-server ~]# 

[root@pulp-24-server upload]# pulp-admin rpm repo uploads rpm --repo-id upload --dir /root/upload/
+----------------------------------------------------------------------+
                              Unit Upload
+----------------------------------------------------------------------+

The following resource(s) could not be found:

  upload (repo)


[root@pulp-24-server upload]#
Comment 4 Randy Barlow 2014-08-09 02:54:17 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.